<?php

/**
 * Functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 * @link https://github.com/timber/starter-theme
 */

namespace App;

use Routes;
use Timber\Timber;

require_once __DIR__ . '/src/SMTP.php'; //config email
require_once __DIR__ . '/vendor/autoload.php'; // Load Composer dependencies.
require_once __DIR__ . '/src/Comments.php'; // ocultar posibilidad de comentarios

Timber::init();
Comments::init();

$site = new StarterSite();

// Ruta para la página de 'noticias'
foreach(['/es', '/eu'] as $route) {
    Routes::map($route, function($params){
        wp_redirect( home_url() ); exit;
    });
}


// Ruta para la página de 'noticias'
foreach(['/es/noticias','/eu/berriak'] as $route) {
    Routes::map($route, function($params){
        $query = false;
        Routes::load('archive-noticias.php', $params, $query, 200);
    });
}

// Ruta para las páginas de paginación 'noticias'
foreach(['/es/noticias/page/:paged','/eu/berriak/page/:paged'] as $route) {
    Routes::map($route, function($params){
        $query = false;
        Routes::load('archive-noticias.php', $params, $query, 200);
    });
}

// Ruta para la página de 'Conflictos laborales'
foreach(['/es/noticias/conflictos-laborales','/eu/berriak/lan-gatazkak'] as $route) {
    Routes::map($route, function($params){
        $query = false;
        Routes::load('archive-conflictos-laborales.php', $params, $query, 200);
    });
}

// Ruta para las páginas de paginación 'Conflictos laborales'
foreach(['/es/noticias/conflictos-laborales/page/:paged','/eu/berriak/lan-gatazkak/page/:paged'] as $route) {
    Routes::map($route, function($params){
        $query = false;
        Routes::load('archive-conflictos-laborales.php', $params, $query, 200);
    });
}

// Ruta para la página de 'documentos'
foreach(['/es/documentos','/eu/dokumentuak'] as $route) {
    Routes::map($route, function($params){
        $query = false;
        Routes::load('archive-documentos.php', $params, $query, 200);
    });
}

// Ruta para las páginas de paginación 'documentos'
foreach(['/es/documentos/page/:paged','/eu/dokumentuak/page/:paged'] as $route) {
    Routes::map($route, function($params){
        $query = false;
        Routes::load('archive-documentos.php', $params, $query, 200);
    });
}

// SOLO UNA VEZ
// add_action('init', function() {
//     $posts = get_posts(['post_type' => 'opinion', 'numberposts' => -1]);
//     foreach ($posts as $post) {
//         update_post_meta($post->ID, '_author_alias', 'field_author_alias');
//     }
// });